Package org.apache.tools.ant.types.resources

# Interface AppendableResourceCollection

All Superinterfaces:
  `java.lang.Iterable<Resource>`, `ResourceCollection`

All Known Implementing Classes:
  `BaseResourceCollectionContainer`, `Difference`, `Intersect`, `Resources`, `Union`

    public interface AppendableResourceCollection
    extends ResourceCollection

Interface describing a collection of Resources, to which elements can be appended.

Since:
  Ant 1.10.10

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `add​(ResourceCollection c)` | Add a ResourceCollection to the container.

  ### Methods inherited from interface java.lang.Iterable

  `forEach, iterator, spliterator`

  ### Methods inherited from interface org.apache.tools.ant.types.ResourceCollection

  `isEmpty, isFilesystemOnly, size, stream`

- ## Method Details

  - ### add

    void add​(ResourceCollection c) throws BuildException
    Add a ResourceCollection to the container.
    Parameters:
      `c` - the ResourceCollection to add.
    Throws:
      `BuildException` - on error.
    Since:
      Ant 1.10.10